/*
 * @Author: ChenYaJin
 * @Date: 2021-11-09 14:17:31
 * @LastEditors: ChenYaJin
 * @LastEditTime: 2021-11-09 15:03:17
 * @Description: 费用空数据提示
 */
part of  '../detail_index.dart';

class _EmptyDataComponent extends StatelessWidget {
  const _EmptyDataComponent({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SliverFillRemaining(
      child: Container(
        color: Colors.white,
        child: Wisdom.column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: <Widget>[
            Wisdom(
              child: Image.asset(
                'lib/assets/empty.png',
                package: 'wisdom_cli',
                width: 200,
              ),
            ),
            Wisdom(
              child: Text(
                '尚未添加费用',
                style: TextStyle(
                  color: Color.fromRGBO(51, 51, 51, 1),
                  fontSize: 16.pt,
                  height: 2,
                ),
              ),
            ),
            Text(
              '如本服务产生费用，请点击下方添加费用按钮添加',
              style: TextStyle(
                color: Color(0xffaaaaaa),
                fontSize: 14.pt,
                height: 2,
              ),
            ),
            Text(
              '注：手机端不支持修改费用，请仔细确认后再提交。',
              style: TextStyle(
                color: Color.fromRGBO(255, 117, 49, 1),
                fontSize: 14.pt,
                height: 2,
              ),
            ),
          ],
        ),
      ),
    );
  }
}
